package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@ApiModel(value = "HomeTotalStudent", description = "后台首页学生数据统计查询对象")
public class HomeTotalStudent {
    @ApiModelProperty("学生注册量 ")
    private Integer registerNum;
    @ApiModelProperty("会员学员 ")
    private Integer vipNum;
    @ApiModelProperty("课程付费学员 ")
    private Integer courseNum;
    @ApiModelProperty("商城用户 ")
    private Integer shoppingNum;
    @ApiModelProperty("时间（详情数据中使用） ")
    private String timeStr;
    @ApiModelProperty("详情数据 ")
    private List<HomeTotalStudent> infoList;

    public Integer getRegisterNum() {
        return registerNum;
    }

    public void setRegisterNum(Integer registerNum) {
        this.registerNum = registerNum;
    }

    public Integer getVipNum() {
        return vipNum;
    }

    public void setVipNum(Integer vipNum) {
        this.vipNum = vipNum;
    }

    public Integer getCourseNum() {
        return courseNum;
    }

    public void setCourseNum(Integer courseNum) {
        this.courseNum = courseNum;
    }

    public Integer getShoppingNum() {
        return shoppingNum;
    }

    public void setShoppingNum(Integer shoppingNum) {
        this.shoppingNum = shoppingNum;
    }

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public List<HomeTotalStudent> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<HomeTotalStudent> infoList) {
        this.infoList = infoList;
    }
}